function::indent_depth
Prev | Chapter 29. Utility functions for using ansi control chars in logs | Next

## Name

function::indent_depth — returns the global nested-depth

## Synopsis

        indent_depth:long(delta:long)

## Arguments

`delta`

  the amount of depth added/removed for each call

## Description

This function returns a number for appropriate indentation, similar to `indent`. Call it with a small positive or matching negative delta. Unlike the thread_indent_depth function, the indent does not track individual indent values on a per thread basis.

Prev | Up | Next
function::indent | Home | function::thread_indent